# Uses of Class
com.ngrok.definitions.ApiKey

Packages that use ApiKey
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of ApiKey in com.ngrok.definitions

  Methods in com.ngrok.definitions that return types with arguments of type ApiKey
  Modifier and Type
  Method
  Description
  `List<ApiKey>`
  ApiKeyList.`getKeys()`
  the list of API keys for this account
  Constructor parameters in com.ngrok.definitions with type arguments of type ApiKey
  Modifier
  Constructor
  Description
  ``
  `ApiKeyList(List<ApiKey> keys, URI uri, Optional<URI> nextPageUri)`
  Creates a new instance of `ApiKeyList`.

- ## Uses of ApiKey in com.ngrok.services

  Methods in com.ngrok.services that return ApiKey
  Modifier and Type
  Method
  Description
  `ApiKey`
  ApiKeys.CreateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `ApiKey`
  ApiKeys.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `ApiKey`
  ApiKeys.UpdateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type ApiKey
  Modifier and Type
  Method
  Description
  `CompletionStage<ApiKey>`
  ApiKeys.CreateCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<ApiKey>`
  ApiKeys.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<ApiKey>`
  ApiKeys.UpdateCallBuilder.`call()`
  Initiates the API call asynchronously.